### `shapely.geometry.Point(*args)`

A geometry type that represents a single coordinate.

Each coordinate has x, y and possibly z and/or m values.

A point is a zero-dimensional feature and has zero length and zero area.

Parameters
----------
args : float, or sequence of floats
    The coordinates can either be passed as a single parameter, or as
    individual float values using multiple parameters:

    1) 1 parameter: a sequence or array-like of with 2 or 3 values.
    2) 2 or 3 parameters (float): x, y, and possibly z.

Attributes
----------
x, y, z, m : float
    Coordinate values

Examples
--------
Constructing the Point using separate parameters for x and y:

>>> from shapely import Point
>>> p = Point(1.0, -1.0)

Constructing the Point using a list of x, y coordinates:

>>> p = Point([1.0, -1.0])
>>> print(p)
POINT (1 -1)
>>> p.y
-1.0
>>> p.x
1.0

---
### `shapely.geometry.LineString(coordinates=None)`

A geometry type composed of one or more line segments.

A LineString is a one-dimensional feature and has a non-zero length but
zero area. It may approximate a curve and need not be straight. A LineString may
be closed.

Parameters
----------
coordinates : sequence
    A sequence of (x, y, [,z]) numeric coordinate pairs or triples, or
    an array-like with shape (N, 2) or (N, 3).
    Also can be a sequence of Point objects, or combination of both.

Examples
--------
Create a LineString with two segments

>>> from shapely import LineString
>>> a = LineString([[0, 0], [1, 0], [1, 1]])
>>> a.length
2.0

---
### `shapely.geometry.Polygon(shell=None, holes=None)`

A geometry type representing an area that is enclosed by a linear ring.

A polygon is a two-dimensional feature and has a non-zero area. It may
have one or more negative-space "holes" which are also bounded by linear
rings. If any rings cross each other, the feature is invalid and
operations on it may fail.

Parameters
----------
shell : sequence
    A sequence of (x, y [,z]) numeric coordinate pairs or triples, or
    an array-like with shape (N, 2) or (N, 3).
    Also can be a sequence of Point objects.
holes : sequence
    A sequence of objects which satisfy the same requirements as the
    shell parameters above

Attributes
----------
exterior : LinearRing
    The ring which bounds the positive space of the polygon.
interiors : sequence
    A sequence of rings which bound all existing holes.

Examples
--------
Create a square polygon with no holes

>>> from shapely import Polygon
>>> coords = ((0., 0.), (0., 1.), (1., 1.), (1., 0.), (0., 0.))
>>> polygon = Polygon(coords)
>>> polygon.area
1.0

---
### `shapely.ops.unary_union(geoms)`

Return the union of a sequence of geometries.

Usually used to convert a collection into the smallest set of polygons
that cover the same area.

---
### `shapely.wkt.loads(data)`

Load a geometry from a WKT string.

Parameters
----------
data : str
    A WKT string

Returns
-------
Shapely geometry object

---
